# Historical Token Usage (/api-reference/endpoint/token-usage-historical)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 768 · updated: 2026-07-30 -->
Related: [Search](/api-reference/endpoint/search.md), [Search Feedback](/api-reference/endpoint/search-feedback.md), [Scrape](/api-reference/endpoint/scrape.md), [Batch Scrape](/api-reference/endpoint/batch-scrape.md), [Get Batch Scrape Status](/api-reference/endpoint/batch-scrape-get.md), [Cancel Batch Scrape](/api-reference/endpoint/batch-scrape-delete.md)

Returns historical token usage on a month-by-month basis. The endpoint can also breaks usage down by API key optionally.

<Info>
  We've simplified billing so that Extract now uses credits, just like all of the other endpoints. Each credit is worth 15 tokens. Reported token usage now includes usage from all endpoints.
</Info>

> Are you an AI agent that needs a Firecrawl API key? See [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) for automated onboarding instructions.

`GET /team/token-usage/historical`

Get historical token usage for the authenticated team (Extract only)

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "byApiKey",
      "in": "query",
      "description": "Get historical token usage by API key",
      "required": false,
      "schema": {
        "type": "boolean",
        "default": false
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "example": true
              },
              "periods": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "startDate": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Start date of the billing period",
                      "example": "2025-01-01T00:00:00Z"
                    },
                    "endDate": {
                      "type": "string",
                      "format": "date-time",
                      "description": "End date of the billing period",
                      "example": "2025-01-31T23:59:59Z"
                    },
                    "apiKey": {
                      "type": "string",
                      "description": "Name of the API key used for the billing period. null if byApiKey is false (default)",
                      "nullable": true
                    },
                    "totalTokens": {
                      "type": "integer",
                      "description": "Total number of tokens used in the billing period",
                      "example": 1000
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "example": false
              },
              "error": {
                "type": "string",
                "example": "Internal server error while fetching historical token usage"
              }
            }
          }
        }
      }
    }
  }
}
```
